<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, shrink-to-fit=no"
    />
    <title>Veille Techno - Conception</title>
    <link rel="icon" href="images/favicon.png" type="image/gif" />
    <link rel="stylesheet" type="text/css" href="css/bootstrap.css" />
    <link
      href="https://fonts.googleapis.com/css?family=Poppins:400,600,700&display=swap"
      rel="stylesheet"
    />
    <link href="css/font-awesome.min.css" rel="stylesheet" />
    <link href="css/style.css" rel="stylesheet" />
    <link href="css/responsive.css" rel="stylesheet" />
  </head>

  <body class="sub_page">
    <div class="hero_area">
      <header class="header_section long_section px-0">
        <nav class="navbar navbar-expand-lg custom_nav-container">
          <a class="navbar-brand" href="index.html">
            <span>Veille Techno</span>
          </a>
          <button
            class="navbar-toggler"
            type="button"
            data-toggle="collapse"
            data-target="#navbarSupportedContent"
            aria-controls="navbarSupportedContent"
            aria-expanded="false"
            aria-label="Toggle navigation"
          >
            <span class="navbar-toggler-icon"></span>
          </button>
          <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav ml-auto">
              <li class="nav-item">
                <a class="nav-link" href="usage.html">Usage proposé</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="conception.html">Conception</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="avis.html">Avis</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="sources.html">Sources</a>
              </li>
            </ul>
          </div>
        </nav>
      </header>
    </div>

    <section class="furniture_section layout_padding">
      <div class="container">
        <div class="row">
          <div class="col-md-6">
            <h2 class="mb-3">Rapport de conception & d'expérimentation</h2>
            <p class="text-justify">
              L'Elegoo Smart Robot Car 4.0 semble à prime abord n'être qu'une
              simple voiture téléguidé. Mais son potentiel créatif dépasse
              largement le simple jouet. C'est une plateforme d'apprentissage
              qui combine à la fois le monde physique de la robotique et le
              monde virtuel de la programmation. Les résultats d'expérimentation
              sont intéressants et permettent d'arriver à une conclusion quant à
              la pertinence de la technologie et particulièrement du concept
              d'usage proposé.
            </p>
            <p class="text-justify">
              En général cette technologie se révèle particulièrement pertinente
              dans les contextes éducatifs, offrant aux plus jeunes une
              introduction pratique à la robotique et à la programmation. Son
              interface intuitive et la facilité avec laquelle on peut
              expérimenter permettent à des débutants de tout âge de l'essayer.
              Toutefois, pour des applications professionnelles ou nécessitant
              des tâches plus complexes, des alternatives plus avancées
              pourraient être nécessaires.
            </p>
            <p class="text-justify">
              L'Elegoo Smart Robot Car 4.0 n'est pas sans limites.
              Mais, en combinant ses fonctionnalités avec d'autres technologies
              ou plateformes, telles que des solutions pour le traitement
              d'image ou des systèmes de détection, ses capacités peuvent être
              étendues pour surmonter certains de ses défauts initiaux.
              Toutefois l'usage suggéré du produit ne consiste en rien à
              l'utilisation de la voiture robot pour le brassement de dés. Il
              existe probablement de nombreuses alternatives plus simples et
              moins coûteuses pour réaliser ce concept.
            </p>
          </div>
          <div class="col-md-6">
            <img
              src="./images/platform-setup.jpg"
              alt="setup"
              height="600"
              class="ml-5"
            />
          </div>
        </div>
        <div></div>
      </div>
    </section>

    <section>
      <div class="container">
        <h2 class="mb-4">Étapes de l'éxperimentation</h2>
        <ol class="mb-3 text-justify">
          <li class="mb-3">
            <strong>Connexion du moteur: </strong>
            Avant d'aborder le concept complet, j'ai
            commencé par faire une vérification préliminaire pour m'assurer de
            la capacité à faire fonctionner le moteur correctement. Malgré
            l'absence des trois autres roues, le moteur tourne sans problème même s'il est le seul connecté.
          </li>
          <li class="mb-3">
            <strong>Installation de la caméra:</strong>
            J'ai connecté la caméra  conformément
            aux instructions. Suivant les instructions j'ai télécharger l'application mobile ElegooKit pour
            visualiser la vidéo en direct de la caméra. La visualisation de la
            vidéo en direct fonctionne mais la résolution de l'image est assé médiocre (144 pixels). Malgré cela, l'image semble suffisamment claire pour détecter des points noirs sur un dé.
          </li>
          <li class="mb-3">
            <strong>Traitement d'image:</strong>
            J'ai fait des recherches à travers diverses sources pour déterminer
            comment traiter une image afin d'identifier et de compter les motifs
            répétés, dans ce cas, les points des dés (blob). De nombreuses sources
            tels que des vidéos Youtube et des tutoriels en ligne ont été consultées pour obtenir des informations sur le traitement d'image.
            J'ai trouvé plusieurs dépôts Github qui contiennent des programme de traitement d'image (blob detector) qui semblait répondre à mes besoins.
            J'ai également trouvé un algorithme de traitement d'image qui semblait répondre à mes besoins pour de plus amples références.
          </li>
          <li class="mb-3">
            <strong>Capture d'image (limitation):</strong>
            Le principal obstacle rencontré
            a été la capture d'une image statique du flux vidéo pour le
            traitement. La caméra fournie avec le kit ne permet pas de capturer une image mais seulement de visualiser le flux vidéo en direct sur l'application.
            J'ai fait des recherches pour trouver une solution à ce problème, mais je n'ai toujours pas trouvée de solution pour pallier au problème.
            Dans l'éventualité où je ne trouverais pas de solution, je pourrais tout de même utiliser la caméra pour compter les points des dés en temps réel.
          </li>
          <li class="mb-3">
            <strong>Prochaines étapes:</strong>
            <ul>
              <li>
                Compléter la structure matérielle pour une
                stabilisation optimale de la caméra
              </li>
              <li>
                Intégrer un mécanisme de
                déclenchement pour la capture d'image via une télécommande.
              </li>
              <li>
                Finaliser le traitement d'image pour obtenir un comptage précis des
                points sur les dés.
              </li>
              <li>
                Intégrer un écran ou une interface pour afficher
                les résultats.
              </li>
            </ul>
          </li>
        </ol>
        <h4>Conclusion de l'expérimentation</h3>
        <p>
          L'expérimentation du brasseur/compteur de dés automatique a été une
          exploration intéressante, offrant des perspectives sur la manière
          d'intégrer mécanique et traitement d'image. Bien que le prototype
          n'ait pas encore été finalisé, les progrès réalisés sont suffisant pour
          me laisser penser que la complétion et l'amélioration du concept est possible. Je peux donc dire avec confiance que si les étapes
        </p>
        <div class="m-5 text-center">
          <div class="row">
            <div class="col-md-6">
              <h3>Installation de l'IDE d'Arduino</h3>
              <img src="./images/arduino_installation.PNG" alt="Installation de l'IDE d'Arduino" class="col-md-12"/>
            </div>
            <div class="col-md-6">
              <h3>Connection de la caméra</h3>
              <img src="./images/camera_coding.JPG" alt="Connection de la caméra" class="col-md-12" height="270"/>
            </div>
          </div>
          <div class="row mt-4">
            <div class="col-md-6">
              <h3>Problèmes de drivers</h3>
              <img src="./images/arduino-copy-driver-installation.png" alt="Problèmes de drivers" class="col-md-12"/>
            </div>
            <div class="col-md-6">
              <h3>Traitement d'image</h3>
              <img src="./images/img-traitement.png" alt="Mise en place du traitement d'image" class="col-md-12"/>
            </div>
          </div>
      </div>
    </section>

    <footer class="footer_section">
      <div class="container">
        <p>
          &copy; <span id="displayYear"></span> Conçu par Philippe Raymond dans
          le cadre du cours Veille Technologique du programme de Techniques de
          l'informatique du Cégep Garneau.
        </p>
      </div>
    </footer>

    <script src="js/jquery-3.4.1.min.js"></script>
    <script src="js/bootstrap.js"></script>
    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyCh39n5U-4IoWpsVGUHWdqB6puEkhRLdmI&callback=myMap"></script>
  </body>
</html>
